
package ru.crystals.test.plugins.data;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the ru.crystals.test.plugins.data package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ru.crystals.test.plugins.data
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link PluginResult }
     * 
     */
    public PluginResult createPluginResult() {
        return new PluginResult();
    }

    /**
     * Create an instance of {@link LoyaltyPluginResult }
     * 
     */
    public LoyaltyPluginResult createLoyaltyPluginResult() {
        return new LoyaltyPluginResult();
    }

    /**
     * Create an instance of {@link CardPluginResult }
     * 
     */
    public CardPluginResult createCardPluginResult() {
        return new CardPluginResult();
    }

    /**
     * Create an instance of {@link Discount }
     * 
     */
    public Discount createDiscount() {
        return new Discount();
    }

    /**
     * Create an instance of {@link AccrualResult }
     * 
     */
    public AccrualResult createAccrualResult() {
        return new AccrualResult();
    }

    /**
     * Create an instance of {@link CardSearchResult }
     * 
     */
    public CardSearchResult createCardSearchResult() {
        return new CardSearchResult();
    }

    /**
     * Create an instance of {@link WriteoffResponse }
     * 
     */
    public WriteoffResponse createWriteoffResponse() {
        return new WriteoffResponse();
    }

    /**
     * Create an instance of {@link WriteoffLimit }
     * 
     */
    public WriteoffLimit createWriteoffLimit() {
        return new WriteoffLimit();
    }

    /**
     * Create an instance of {@link TakenBonuses }
     * 
     */
    public TakenBonuses createTakenBonuses() {
        return new TakenBonuses();
    }

    /**
     * Create an instance of {@link CancelDiscount }
     * 
     */
    public CancelDiscount createCancelDiscount() {
        return new CancelDiscount();
    }

    /**
     * Create an instance of {@link CardInfo }
     * 
     */
    public CardInfo createCardInfo() {
        return new CardInfo();
    }

    /**
     * Create an instance of {@link FiscalizationFeedback }
     * 
     */
    public FiscalizationFeedback createFiscalizationFeedback() {
        return new FiscalizationFeedback();
    }

    /**
     * Create an instance of {@link RollbackResponse }
     * 
     */
    public RollbackResponse createRollbackResponse() {
        return new RollbackResponse();
    }

    /**
     * Create an instance of {@link Card }
     * 
     */
    public Card createCard() {
        return new Card();
    }

    /**
     * Create an instance of {@link CustomerMessage }
     * 
     */
    public CustomerMessage createCustomerMessage() {
        return new CustomerMessage();
    }

    /**
     * Create an instance of {@link OnDiscountCalculationFinished }
     * 
     */
    public OnDiscountCalculationFinished createOnDiscountCalculationFinished() {
        return new OnDiscountCalculationFinished();
    }

    /**
     * Create an instance of {@link AttributeEntry }
     * 
     */
    public AttributeEntry createAttributeEntry() {
        return new AttributeEntry();
    }

    /**
     * Create an instance of {@link PrintSlip }
     * 
     */
    public PrintSlip createPrintSlip() {
        return new PrintSlip();
    }

    /**
     * Create an instance of {@link CardBonusBalance }
     * 
     */
    public CardBonusBalance createCardBonusBalance() {
        return new CardBonusBalance();
    }

    /**
     * Create an instance of {@link DoDiscount }
     * 
     */
    public DoDiscount createDoDiscount() {
        return new DoDiscount();
    }

}
