package ru.crystals.pos.spi.plugin.card;

import ru.crystals.pos.spi.receipt.Receipt;

/**
 * Запрос поиска/выдачи карты
 * @since 0.0.65
 */
public interface CardIssueRequest {
    /**
     * Чек, в который добавляется карта
     *
     * @return чек, в который добавляется карта
     */
    Receipt getReceipt();

    /**
     * Интерфейс для оповещения кассы о результатах поиска/выдачи карты.
     *
     * @return {@link CardIssueCallback}
     */
    CardIssueCallback getCallback();
}
