package ru.crystals.pos.spi.receipt;

/**
 * Статус карты/купона
 *
 */
public enum CardStatus {

    /**
     * Карта/купон активна
     */
    ACTIVE,

    /**
     * Карта/купон заблокирована
     */
    BLOCKED,

    /**
     * Карта/купон [более] не валидна. Например, истек срок ее действия
     */
    INVALID,

    /**
     * [Только для купонов] Купон уже погашен/использован
     */
    USED;
}
