
package ru.crystals.test.plugins.data;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for MessageIcon.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="MessageIcon">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="GIFT"/>
 *     &lt;enumeration value="SUCCESS"/>
 *     &lt;enumeration value="INFO"/>
 *     &lt;enumeration value="WARNING"/>
 *     &lt;enumeration value="ERROR"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "MessageIcon")
@XmlEnum
public enum MessageIcon {

    GIFT,
    SUCCESS,
    INFO,
    WARNING,
    ERROR;

    public String value() {
        return name();
    }

    public static MessageIcon fromValue(String v) {
        return valueOf(v);
    }

}
