package ru.crystals.pos.api.plugin;

import ru.crystals.pos.spi.plugin.card.CardIssueRequest;

/**
 * Интерфейс плагина карт с поддержкой выдачи/замены карты
 * @since 0.0.65
 */
public interface CardIssuePlugin extends CardPlugin {

    /**
     * Выполняет поиск/выдачу/замену карты по данным, запрашиваемым в произвольном UI.
     * Поддерживает добавление карты в чек как товара
     *
     * @param request запрос поиска/выдачи карты
     */
    void issueCard(CardIssueRequest request);
}
