package ru.crystals.pos.spi.plugin.goods;


/**
 * Интерфейс для оповещения кассы о возможности удаления позиции из чека продажи
 */
public interface RemoveFromSaleCallback {

    /**
     * Результат: позиция может быть удалена из чека
     *
     * @param removeAllowed флаг, определяющий, разрешил ли плагин удаление позиции из чека. true если разрешил и false в противном случае.
     */
    void completed(boolean removeAllowed);
}
